<?php
/**
 * File containing the RouteReferenceGenerationEventTest class.
 *
 * @copyright Copyright (C) eZ Systems AS. All rights reserved.
 * @license For full copyright and license information view LICENSE file distributed with this source code.
 * @version 2014.05.1
 */

namespace eZ\Publish\Core\MVC\Symfony\Event\Tests;

use eZ\Publish\Core\MVC\Symfony\Event\RouteReferenceGenerationEvent;
use eZ\Publish\Core\MVC\Symfony\Routing\RouteReference;
use PHPUnit_Framework_TestCase;
use Symfony\Component\HttpFoundation\Request;

class RouteReferenceGenerationEventTest extends PHPUnit_Framework_TestCase
{
    public function testConstruct()
    {
        $routeReference = new RouteReference( 'foo' );
        $request = new Request();
        $event = new RouteReferenceGenerationEvent( $routeReference, $request );
        $this->assertSame( $routeReference, $event->getRouteReference() );
        $this->assertSame( $request, $event->getRequest() );
    }

    public function testGetSet()
    {
        $routeReference = new RouteReference( 'foo' );
        $request = new Request();

        $event = new RouteReferenceGenerationEvent( $routeReference, $request );
        $this->assertSame( $routeReference, $event->getRouteReference() );
        $this->assertSame( $request, $event->getRequest() );

        $newRouteReference = new RouteReference( 'bar' );
        $event->setRouteReference( $newRouteReference );
        $this->assertSame( $newRouteReference, $event->getRouteReference() );
    }
}
